# ship.h File Reference

Base for ships. More...

`#include "vehicle_base.h"`
`#include "engine_func.h"`
`#include "engine_base.h"`
`#include "economy_func.h"`

Go to the source code of this file.

## Data Structures
struct | Ship
| This class 'wraps' Vehicle; you do not actually instantiate this class. More...
## Functions
void | CcBuildShip (bool success, TileIndex tile, uint32 p1, uint32 p2)
void | RecalcShipStuff (Vehicle *v)
void | GetShipSpriteSize (EngineID engine, uint &width, uint &height)
| Get the size of the sprite of a ship sprite heading west (used for lists).

## Detailed Description

Base for ships.

Definition in file ship.h.

## Function Documentation

void GetShipSpriteSize | ( | EngineID | engine,
|  | uint & | width,
|  | uint & | height |
| ) |  |  |

Get the size of the sprite of a ship sprite heading west (used for lists).

Parameters:

  | engine | The engine to get the sprite from
  | width | The width of the sprite
  | height | The height of the sprite

Definition at line 75 of file ship_cmd.cpp.

References ST_NORMAL.